Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.backend.impl.jgroups
Class SlaveJGroupsBackendQueueProcessorFactory

    java.lang.Object
      org.hibernate.search.backend.impl.jgroups.JGroupsBackendQueueProcessorFactory
          org.hibernate.search.backend.impl.jgroups.SlaveJGroupsBackendQueueProcessorFactory

All Implemented Interfaces:
  BackendQueueProcessorFactory

    public class SlaveJGroupsBackendQueueProcessorFactory

extends JGroupsBackendQueueProcessorFactory

Author:
  Lukasz Moren

Field Summary

Fields inherited from class org.hibernate.search.backend.impl.jgroups.JGroupsBackendQueueProcessorFactory
`address, channel, clusterName, CONFIGURATION_FILE, CONFIGURATION_STRING, CONFIGURATION_XML, JG_CLUSTER_NAME, JGROUPS_PREFIX, log, searchFactory`

Constructor Summary
`SlaveJGroupsBackendQueueProcessorFactory()`

Method Summary
`java.lang.Runnable` | `getProcessor(java.util.List<LuceneWork> queue)` Return a runnable implementation responsible for processing the queue to a given backend.

Methods inherited from class org.hibernate.search.backend.impl.jgroups.JGroupsBackendQueueProcessorFactory
`close, getAddress, getChannel, getClusterName, initialize, setClusterName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SlaveJGroupsBackendQueueProcessorFactory

    public SlaveJGroupsBackendQueueProcessorFactory()

Method Detail

### getProcessor

    public java.lang.Runnable getProcessor(java.util.List<LuceneWork> queue)

  Description copied from interface: `BackendQueueProcessorFactory`
  Return a runnable implementation responsible for processing the queue to a given backend.

  Specified by:
    `getProcessor` in interface `BackendQueueProcessorFactory`
  Specified by:
    `getProcessor` in class `JGroupsBackendQueueProcessorFactory`
  Parameters:
    `queue` - The work queue to process.
  Returns:
    `Runnable` which processes `queue` when started.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.